Bug 1283905 - Deploy without swift generate a endpoint swift-proxy and blocks cloudforms integration [NEEDINFO]
Deploy without swift generate a endpoint swift-proxy and blocks cloudforms in...
Status: CLOSED WONTFIX
Product: Red Hat OpenStack
Classification: Red Hat
Component: rhosp-director (Show other bugs)
7.0 (Kilo)
Unspecified Unspecified
unspecified Severity medium
: ---
: 11.0 (Ocata)
Assigned To: Christian Schwede (cschwede)
Shai Revivo
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-20 03:57 EST by kpichard
Modified: 2017-03-09 03:13 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-03-09 03:13:57 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
scohen: needinfo? (kpichard)


Attachments (Terms of Use)

  None (edit)
Description kpichard 2015-11-20 03:57:36 EST
Description of problem: When deploying an openstack with osp-d 7.1 with no swift director generate a endpoint keystone for swift-proxy and a haproxy port. The problem is for cloudform integration, recent version interrogate all endpoints and if one fails here with 503, it failed to had the cloud infrastructure.


Version-Release number of selected component (if applicable): 7.1


How reproducible: Deploy an openstack with osp-d 7.1, disable swift 


Steps to Reproduce:
1. configure osp-d templates to remove all swift of the configuration :
overcloud-without-mergepy.yaml:349:  ControllerEnableSwiftStorage:
overcloud-without-mergepy.yaml-350-    default: false
2. deploy with option --swift-storage-scale 0 
3. validate endpoints by interrogating keystone endpoint-list

Actual results:
Osp-d automatically create useless endpoint while it's not necessary.

Expected results:
Osp-d should not have endpoint for feactures not deployed

Additional info:
The bug is and issue to attach openstack to cloudformation
Comment 3 Mike Burns 2016-04-07 16:57:01 EDT
This bug did not make the OSP 8.0 release.  It is being deferred to OSP 10.
Comment 5 Paul Grist 2016-10-13 18:31:46 EDT
Moving this to the list to triage for next release. This may not even be an issue anymore and was from OSP7.
Comment 8 Christian Schwede (cschwede) 2017-03-09 03:13:57 EST
Actually I think the behaviour is correct. Setting swift-storage-scale to 0 still deploys the Swift proxy, and therefore an endpoint is created. This Swift proxy could be used with manually created rings to integrate an existing Swift cluster.

Wisth OSP10/Newton and later it is possible to disable the proxy service as well using composable roles. No Swift endpoints are created in Keystone if Swift services are removed from roles_data.yaml.

[stack@undercloud ~]$ source overcloudrc
[stack@undercloud ~]$ openstack endpoint list
+----------------------------------+-----------+--------------+----------------+
| ID                               | Region    | Service Name | Service Type   |
+----------------------------------+-----------+--------------+----------------+
| a1b850988da44780a2e0bfc3482f991d | regionOne | cinderv2     | volumev2       |
| b822a3ecebea4e248a398035220b2aef | regionOne | ceilometer   | metering       |
| 9a31f2d1ade54b129d316aae60f02d9b | regionOne | keystone     | identity       |
| 1c3102e5d49c482595ce4db448a426b6 | regionOne | neutron      | network        |
| c7185680d90647a396ddf74b1f45f3f0 | regionOne | nova         | compute        |
| f26e652744be4e90a35e4dc6797dbb9c | regionOne | cinderv3     | volumev3       |
| 008118ff96744f4a9f86972e1a90d372 | regionOne | gnocchi      | metric         |
| 817b004348e841a3af646531aa86cfef | regionOne | heat-cfn     | cloudformation |
| 3bbfe1e5588d4d44b5f94ea3103e26bd | regionOne | heat         | orchestration  |
| 4c538f954db54ad68a4501ef1e90a0ac | regionOne | cinder       | volume         |
| af7bf75cecc841799c559a9bc5d07b90 | regionOne | glance       | image          |
| 12f7d46f1751472599da3fa2b2a69820 | regionOne | aodh         | alarming       |
+----------------------------------+-----------+--------------+----------------+

I'm closing this bug therefore.

Note You need to log in before you can comment on or make changes to this bug.